set get-bpm(name) get-bpm
set get-bpm(short) gb
set get-bpm(purpose) {get the bpm}
set get-bpm(invoke) {
	get-bpm <name>
	bpm-get <list>}
set get-bpm(help) {
	can get the bpm of:
		fm - frequency modulator
		am - amplitude modulator
		os - octave shifter
		gl - left channel gater
		gr - right channel gater}
set get-bpm(examples) {
	get-bpm fm ;# get bpm of frequency modulator
	bpm-get [ls-bpm] ;# get bpm of fm am os gl & gr
	gb gl ;# get bpm of left channel gater}
