#ifndef __BEAT2VALUE
#define __BEAT2VALUE

#include "multi_curve.h"
#include "solver.h"
#include "listeners.h"
#include <string>
using namespace std;
 
struct beat2value {
	
	beat2value (const string& fname);
	~beat2value ();
	
	void operator! ();
	void operator() (float* result, int n);
	void operator() (float* out, float* result, int n, int d = 2);
	void modulate (float* out, float* result, int n, float amt);
	
	string crvname;
	multi_curve crv;
	solver sol;
	xhandler *xmin, *xmax;
	void curve_edited ();
	
	bool enabled;
	
	string style;
	
	float bpm;
	void set_bpm (float n, int rst = 0);
	float get_bpm ();
	float now;
	float delta;
	  
};

#endif
