#ifndef __tcl
#define __tcl

#include <tcl.h>
#include <string>
#include <sstream>

struct tcl_interp { // tcl interpreter

	Tcl_Interp *interp, *unsafe, *safe;

	const char* result;
	bool status;

	void use_safe ();
	void use_unsafe ();
	void setup (Tcl_Interp* pi);

	tcl_interp ();
	~tcl_interp ();

	const char* operator() (const std::string& cmd);

};

typedef int (*tclcmd)(ClientData cd, Tcl_Interp* ti, int objc, Tcl_Obj* CONST objv[]);
int tcl_run (ClientData cd, Tcl_Interp* ti, int objc, Tcl_Obj* CONST objv[]);

#endif
