#ifndef __ui_list
#define __ui_list

#include "ui.h"
#include "font_editor.h"

struct curve_editor;

struct ui_list : ui {

	ui *current, *last;
  std::vector<ui*> uis;

	curve_editor* crved;

	font_editor fed;

  static const int MAX_EDITORS = 8;
  static const int key [MAX_EDITORS];
  static ui* ed [MAX_EDITORS];

  float esct;

	ui_list ();
  void set_current (ui* u, int ised = 1);

  bool handle_input ();

	void draw ();

	bool set_editor (const std::string& name, int screen);

};

#endif